package com.steerinfo.baseinfo.meterbasegroupspot.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasegroupspot.model.MeterBaseGroupSpot;
import com.steerinfo.framework.service.pagehelper.PageList;
import java.util.HashMap;
import java.util.List;

/**
 * MeterBaseGroupSpot服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-06-29 11:35
 * 类描述
 * 修订历史：
 * 日期：2022-06-29
 * 作者：generator
 * 参考：
 * 描述：MeterBaseGroupSpot服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseGroupSpotService extends IBaseService<MeterBaseGroupSpot, String>{

    /**
     * 创建主键
     * @return 返回主键
     */
    String creatId();

    PageList<MeterBaseGroupSpot> queryByGroupSpotForPage(HashMap<String,Object>  map, Integer pageNum, Integer pageSize);
    List<MeterBaseGroupSpot> noPage(HashMap<String,Object>  map);
    RESTfulResult checkAdd(List<MeterBaseGroupSpot> models);
    RESTfulResult remove(List<MeterBaseGroupSpot> models);

    void deleteByLogic(MeterBaseGroupSpot meterBaseRailwayCarriageWeight);

    MeterBaseGroupSpot queryById(String id);
}